import { IInvalidateApiKeyOptions, IInvalidateApiKeyResponse } from "./shared/types/apiKeyType.js";
/**
 * Used to invalidate an API key.
 *
 * ```js
 * import { invalidateApiKey } from "@esri/arcgis-rest-developer-credentials";
 *
 * invalidateApiKey({
 *   itemId: ITEM_ID,
 *   authentication,
 *   apiKey: 1, // invalidate the key in slot 1
 * }).then((response) => {
 *   // => {success: true}
 * }).catch(e => {
 *   // => an exception object
 * });
 */
export declare function invalidateApiKey(requestOptions: IInvalidateApiKeyOptions): Promise<IInvalidateApiKeyResponse>;
